# Address → Cluster Name

{% hint style="info" %}
To enable testnet querying on Sepolia, add `?testnet=true` to the end of the URL
{% endhint %}

## Get name

<mark style="color:green;">`GET`</mark> `/v1/names/address/:address`

Get the cluster and wallet name based on an address

| Name      | Description           |
| --------- | --------------------- |
| `address` | EVM or Solana address |

**Example**

```http
https://api.clusters.xyz/v1/names/address/0x5755d1dcea21caa687339c305d143e6e78f96adf
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "type": "evm",
    "clusterName": "cluster",
    "walletName": "main",
    "isVerified": true
}
```

{% endtab %}

{% tab title="404" %}

```json
{
  "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
  "type": "evm",
  "clusterName": null,
  "walletName": null
}
```

{% endtab %}
{% endtabs %}

***

## Get names by owner

<mark style="color:green;">`GET`</mark> `/v1/names/owner/address/:address`

Get all clusters and wallet names from a single wallet address

|           |                       |
| --------- | --------------------- |
| `address` | EVM or Solana address |

**Example**

```http
https://api.clusters.xyz/v1/names/owner/address/0x5755d1dcea21caa687339c305d143e6e78f96adf
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "name": "cypherpunks/satoshi",
        "owner": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
        "totalWeiAmount": "0",
        "createdAt": "2025-04-28 18:10:05.805+00",
        "updatedAt": "2025-04-28 18:10:05.805+00",
        "updatedBy": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
        "isTestnet": false,
        "clusterId": "0x...",
        "expiresAt": null
    },
    {
        "name": "mclovin",
        "owner": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
        "totalWeiAmount": "0",
        "createdAt": "2025-04-28 18:10:05.805+00",
        "updatedAt": "2025-04-28 18:10:05.805+00",
        "updatedBy": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
        "isTestnet": false,
        "clusterId": "0x...",
        "expiresAt": null
    }
]
```

{% endtab %}
{% endtabs %}

***

## Bulk get names

<mark style="color:green;">`POST`</mark> `/v1/names/address`

Get the cluster and wallet name based on multiple addresses

| Name        | Description                          |
| ----------- | ------------------------------------ |
| POST `body` | Array of EVM and or Solana addresses |

**Example**

```bash
curl -X POST \
  'http://api.clusters.xyz/v1/names/address' \
  --data-raw '[
  "0x5755d1dcea21caa687339c305d143e6e78f96adf",
  "0xccdead94e8cf17de32044d9701c4f5668ad0bef9"
]'
```

**Response**

> Any addresses not found will have `clusterName: null`

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "type": "evm",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  },
  {
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "type": "evm",
    "clusterName": "layerzero",
    "walletName": "main",
    "isVerified": true
  }
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v1/address-cluster-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
